본문으로 건너뛰기

OntologyAction

Shared request and response schema. Request: Ontology write action accepted when configuring a reaction, including its target and field mappings. Response: Ontology write action returned for a reaction, including its target and field mappings.

on_failure object

Compensating action, run when this action raises. 1-depth only.

하나 이상(anyOf)
kind필수

Possible values: [function, notification, ontology]

on_failure object

Compensating action, run when this action raises. 1-depth only.

하나 이상(anyOf)
kind

Possible values: [function, notification, ontology]

languageLanguage (string)필수
상수 값: python
codeCode (string)필수

Python function body executed by this action.

params object

Bound parameters passed to the function

property name*any

Bound parameters passed to the function

kindKind (string)필수
상수 값: ontology
target_idTarget Id (string)필수

EntityType.id or RelationType.id

opOp (string)필수

Possible values: [upsert, delete]

values object필수

Row values for upsert / delete key

property name*any

Row values for upsert / delete key

OntologyAction
{
"kind": "ontology",
"target_id": "string",
"op": "upsert",
"values": {}
}